Debian Bug report logs - #655222
RFP: filebench -- file system and storage benchmark with flexible workload specification

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Steigerwald <ms@teamix.de>

Date: Mon, 9 Jan 2012 13:43:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, sh@teamix.de, wnpp@debian.org:
Bug#655222; Package wnpp. (Mon, 09 Jan 2012 13:43:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <ms@teamix.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, sh@teamix.de, wnpp@debian.org. (Mon, 09 Jan 2012 13:43:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <ms@teamix.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: filebench -- ITP: filebench - file system and storage benchmark with flexible workload specification
Date: Mon, 09 Jan 2012 14:42:17 +0100
Package: wnpp
Severity: wishlist
Owner: Martin Steigerwald <ms@teamix.de>

* Package name    : filebench
  Version         : 1.4.9.1
  Upstream Author : Vasily Tarasov (vass@fsl.cs.sunysb.edu) and others
* URL             : http://sourceforge.net/projects/filebench/
* License         : CDDL 1.0
  Programming Lang: C, Perl
  Description     : ITP: filebench - file system and storage benchmark with flexible workload specification

Filebench is a file system and storage benchmark that allows to generate a
high variety of workloads. It employs extensive Workload Model Language
(WML) for detailed workload specification.

Features:

- Extensive Workload Model Language (WML) for workload specification
- Includes popular pre-defined workloads: webserver, fileserver, varmail, etc.
- Reports throughput and latency histograms
- Works on Linux/FreeBSD/Solaris

(taken from upstream webpage)

I intend to maintain it as project of collabmaint on Alioth via Git. I
intend to have Sebastian 'tokkee' Harl <sh@teamix.de> as my sponsor for
uploading the package.




Changed Bug title to 'ITP: filebench -- file system and storage benchmark with flexible workload specification' from 'ITP: filebench -- ITP: filebench - file system and storage benchmark with flexible workload specification' Request was from Martin Steigerwald <ms@teamix.de> to control@bugs.debian.org. (Mon, 09 Jan 2012 14:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655222; Package wnpp. (Mon, 07 May 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <ms@teamix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 May 2012 10:51:04 GMT) Full text and rfc822 format available.

Message #12 received at 655222@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <ms@teamix.de>
To: debian-legal@lists.debian.org
Cc: Sebastian Harl <tokkee@debian.org>, Alex Mestiashvili <alex@biotec.tu-dresden.de>, 655222@bugs.debian.org
Subject: filebench: bison generated parser + CDDL
Date: Mon, 7 May 2012 12:46:41 +0200
Also sent to ITP bug for documentation.


Hi!

Alex and I almost finished packaging filebench:

VCS is at:

Vcs-Git: git://git.debian.org/collab-maint/filebench.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/filebench.git;a=summary

There is some licensing questions left:

1) Most files use:

 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END

template header.

Is it safe to assume that this refers to CDDL-1.0 as in:

http://opensource.org/licenses/CDDL-1.0

Well

http://hub.opensolaris.org/bin/download/Main/licensing/cddllicense.txt

refers to that version of the license as well. So that seems to be the case.

Except for this notice:

NOTICE PURSUANT TO SECTION 9 OF THE COMMON DEVELOPMENT AND DISTRIBUTION
LICENSE (CDDL)

The OpenSolaris code released under the CDDL shall be governed by the laws
of the State of California (excluding conflict-of-law provisions). Any
litigation relating to this License shall be subject to the jurisdiction of
the Federal Courts of the Northern District of California and the state
courts of the State of California, with venue lying in Santa Clara County,
California.


2) It uses a bison generated parser from parser_gram.y and these generated 
files are:

Files: parser_gram.c parser_gram.h
Copyright: 1984, 1989, 1990, 2000-2011 Free Software Foundation, Inc.
  C LALR(1) parser skeleton written by Richard Stallman, by
  simplifying the original so-called "semantic" parser.
License: GPL-3+ with exception
 This package is free software; you can redistribute it and/or modify
[…]
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
 .
 As a special exception, you may create a larger work that contains
 part or all of the Bison parser skeleton and distribute that work
 under terms of your choice, so long as that work isn't itself a
 parser generator using the skeleton or a modified version thereof
 as a parser skeleton.  Alternatively, if you modify or redistribute
 the parser skeleton itself, you may (at your option) remove this
 special exception, which will cause the skeleton and the resulting
 Bison output files to be licensed under the GNU General Public
 License without this special exception.
 .
 This special exception was added by the Free Software Foundation in
 version 2.2 of Bison.


Is this compatible with CDDL-1?

As far as I understand CDDL-1 and GPL are not compatible, but when I read this 
special exception correctly, in the case that no new parser generator is done 
any terms, any license can be used for the resulting work.

Would it make sense to include an URL to the license in the copyright file? I 
did not see an extra field in the machine readable file format description, but 
I could always include it at the end of the license text if thats wanted.

Thanks,
-- 
Martin Steigerwald - teamix GmbH - http://www.teamix.de
gpg: 19E3 8D42 896F D004 08AC A0CA 1E10 C593 0399 AE90




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Steigerwald <ms@teamix.de>:
Bug#655222; Package wnpp. (Mon, 27 May 2013 14:19:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martin Steigerwald <ms@teamix.de>. (Mon, 27 May 2013 14:19:23 GMT) Full text and rfc822 format available.

Message #17 received at 655222@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 655222@bugs.debian.org
Cc: control@bugs.debian.org
Subject: filebench: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:15 +0200
retitle 655222 RFP: filebench -- file system and storage benchmark with flexible workload specification
noowner 655222
tag 655222 - pending
thanks

Hi,

This is an automatic email to change the status of filebench back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting filebench, please send a mail to
<control@bugs.debian.org> with:

 retitle 655222 ITP: filebench -- file system and storage benchmark with flexible workload specification
 owner 655222 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <655222@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: filebench -- file system and storage benchmark with flexible workload specification' from 'ITP: filebench -- file system and storage benchmark with flexible workload specification' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:39:41 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Martin Steigerwald <ms@teamix.de>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:39:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655222; Package wnpp. (Tue, 28 May 2013 08:21:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <ms@teamix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 May 2013 08:21:33 GMT) Full text and rfc822 format available.

Message #26 received at 655222@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <ms@teamix.de>
To: Lucas Nussbaum <lucas@debian.org>, 655222@bugs.debian.org
Subject: Re: Bug#655222: filebench: changing back from ITP to RFP
Date: Tue, 28 May 2013 10:05:24 +0200
Am Montag, 27. Mai 2013 schrieb Lucas Nussbaum:
> retitle 655222 RFP: filebench -- file system and storage benchmark with
> flexible workload specification noowner 655222
> tag 655222 - pending
> thanks
> 
> Hi,

Hi!

> This is an automatic email to change the status of filebench back from
> ITP (Intent to Package) to RFP (Request for Package), because this bug
> hasn't seen any activity during the last 12 months.

The package is basically done and was stuck with legal issues. Then Wheezy 
freeze.

Right now I have no time for asking for sponsorship and getting it 
uploaded. I hope to have time for it in about 4 weeks or so.

If anyone wants to step in, feel free.

Thanks,
-- 
Martin Steigerwald - teamix GmbH - http://www.teamix.de
gpg: 19E3 8D42 896F D004 08AC A0CA 1E10 C593 0399 AE90



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:56:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.